//===========================================================================
//
// Baron of Hell
//
//===========================================================================
class BaronOfHellBolts : Actor Replaces BaronOfHell
{
	Default
	{
		Health 1000;
		Radius 24;
		Height 64;
		Mass 1000;
		Speed 8;
		PainChance 10;
		Monster;
		+FLOORCLIP
		+BOSSDEATH
		SeeSound "baron/sight";
		PainSound "baron/pain";
		DeathSound "baron/death";
		ActiveSound "baron/active";
		Obituary "$OB_BARON";
		HitObituary "$OB_BARONHIT";
		Tag "$FN_BARON";
	}
	States
	{
	Spawn:
		BOSS AB 10 A_Look ;
		Loop;
	See:
		BOSS AABBCCDD 3 A_Chase;
		Loop;
	Melee:
	Missile:
		BOSS EF 8 A_FaceTarget;
		BOSS G 8 A_BruisAttack;
		Goto See;
	Pain:
		BOSS H  2;
		BOSS H  2 A_Pain;
		Goto See;
	Death:
		BOSS I  8 ACS_Execute(11, 0);
		BOSS J  8 A_Scream;
		BOSS K  8;
		BOSS L  8 A_NoBlocking;
		BOSS MN 8;
		BOSS O 0
		{	
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
		}
		BOSS O -1 A_BossDeath();
		Stop;
	Raise:
		BOSS O 8;
		BOSS NMLKJI  8;
		Goto See;
	}
}

//===========================================================================
//
// Hell Knight
//
//===========================================================================
class HellKnightBolts : BaronOfHell Replaces HellKnight
{
	Default
	{
		Health 500;
		-BOSSDEATH;
		SeeSound "knight/sight";
		ActiveSound "knight/active";
		PainSound "knight/pain";
		DeathSound "knight/death";
		HitObituary "$OB_KNIGHTHIT";
		Obituary "$OB_KNIGHT";
		Tag "$FN_HELL";
	}
	States
	{
	Spawn:
		BOS2 AB 10 A_Look;
		Loop;
	See:
		BOS2 AABBCCDD 3 A_Chase;
		Loop;
	Melee:
	Missile:
		BOS2 EF 8 A_FaceTarget;
		BOS2 G 8 A_BruisAttack;
		Goto See;
	Pain:
		BOS2 H  2;
		BOS2 H  2 A_Pain;
		Goto See;
	Death:
		BOS2 I  8 ACS_Execute(12, 0);
		BOS2 J  8 A_Scream;
		BOS2 K  8;
		BOS2 L  8 A_NoBlocking;
		BOS2 MN 8;
		BOS2 O -1
		{
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
		}
		Stop;
	Raise:
		BOS2 O 8;
		BOS2 NMLKJI  8;
		Goto See;
	}
}