//===========================================================================
//
// Cacodemon
//
//===========================================================================
class CacodemonBolts : Actor Replaces Cacodemon
{
	Default
	{
		Health 400;
		Radius 31;
		Height 56;
		Mass 400;
		Speed 8;
		PainChance 20;
		Monster;
		+FLOAT +NOGRAVITY
		SeeSound "caco/sight";
		PainSound "caco/pain";
		DeathSound "caco/death";
		ActiveSound "caco/active";
		Obituary "$OB_CACO";
		HitObituary "$OB_CACOHIT";
		Tag "$FN_CACO";
	}
	States
	{
	Spawn:
		HEAD A 10 A_Look;
		Loop;
	See:
		HEAD A 3 A_Chase;
		Loop;
	Missile:
		HEAD B 5 A_FaceTarget;
		HEAD C 5 A_FaceTarget;
		HEAD D 5 BRIGHT A_HeadAttack;
		Goto See;
	Pain:
		HEAD E 3;
		HEAD E 3 A_Pain;
		HEAD F 6;
		Goto See;
	Death:
		HEAD G 8 ACS_Execute(13, 0);
		HEAD H 8 A_Scream;
		HEAD I 8;
		HEAD J 8;
		HEAD K 8 A_NoBlocking;
		HEAD L 0 
		{	
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
		}
		HEAD L -1 A_SetFloorClip;
		Stop;
	Raise:
		HEAD L 8 A_UnSetFloorClip;
		HEAD KJIHG 8;
		Goto See;
	}
}