
//===========================================================================
//
// Cyberdemon
//
//===========================================================================
class CyberdemonBolts : Actor Replaces Cyberdemon
{
	Default
	{
		Health 4000;
		Radius 40;
		Height 110;
		Mass 1000;
		Speed 16;
		PainChance 1;
		Monster;
		MinMissileChance 160;
		+BOSS 
		+MISSILEMORE
		+FLOORCLIP
		+NORADIUSDMG
		+DONTMORPH
		+BOSSDEATH
		SeeSound "cyber/sight";
		PainSound "cyber/pain";
		DeathSound "cyber/death";
		ActiveSound "cyber/active";
		Obituary "$OB_CYBORG";
		Tag "$FN_CYBER";
	}
	States
	{
	Spawn:
		CYBR AB 10 A_Look;
		Loop;
	See:
		CYBR A 3 A_Hoof;
		CYBR ABBCC 3 A_Chase;
		CYBR D 3 A_Metal;
		CYBR D 3 A_Chase;
		Loop;
	Missile:
		CYBR E 6 A_FaceTarget;
		CYBR F 12 A_CyberAttack;
		CYBR E 12 A_FaceTarget;
		CYBR F 12 A_CyberAttack;
		CYBR E 12 A_FaceTarget;
		CYBR F 12 A_CyberAttack;
		Goto See;
	Pain:
		CYBR G 10 A_Pain;
		Goto See;
	Death:
		CYBR H 10 ACS_Execute(14, 0);
		CYBR I 10 A_Scream;
		CYBR JKL 10
		{	
			//30 bolts * 3 frames = 90 bolts
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
		}
		CYBR M 10 A_NoBlocking;
		CYBR NO 10
		{	
			//50 bolts * 2 frames = 100
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
			A_SpawnItem("bolt",0,5,0,0);
		}
		CYBR P 30;
		CYBR P -1 A_BossDeath;
		Stop;
	}
}