class Wrench : Weapon
{	
	
	Default
	{
		inventory.pickupmessage "The Wrench! More of a weapon, than a tool due to its size.";
		weapon.ammouse 0;
		weapon.slotnumber 1;
		weapon.bobrangex 0.3;
		weapon.bobrangey 0.3;
		weapon.upsound "";
		+WEAPON.NOAUTOAIM
		+WEAPON.NOALERT
	}
	
	States
	{
		Spawn:
			WRNH A -1;
			stop;
		Select:
			TNT1 A 0 ACS_Execute(2);
			goto RaiseWrench;
		Deselect:
			WREN A 1 A_Lower(18);
			loop;
		RaiseWrench:
			WREN A 0 A_WeaponOffset(0, 256);
			WREN AAAAAAA 1 A_WeaponOffset(0, -32, WOF_INTERPOLATE|WOF_ADD);
			WREN A 0 A_WeaponReady;
			goto Ready;
		Ready:
			WREN A 1 A_WeaponReady;
			loop;
		FailBackstab:
			TNT1 A 0;
			goto Fire+4;
		Fire:
			TNT1 A 0 A_CheckLOF("1", CLOFF_SETTARGET);
			TNT1 A 0 A_JumpIfTargetInLOS("Backstab", 1, JLOSF_NOAUTOAIM|JLOSF_COMBATANTONLY, 100);
			WREN BC 2;
			WREN DEF 1;
			WREN G 1 A_StartSound("swingrnd", 1, CHANF_OVERLAP, 100, ATTN_NORM, 0);
			WREN H 1;
			WREN I 1
			{
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -50, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -30, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -20, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -10, 0, 80);
				A_RailAttack(4, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 0, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 10, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 20, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 30, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 50, 0, 80);
				A_ChangeVelocity(2, 0, 0, CVF_RELATIVE);
			}
			WREN JKL 1;
			TNT1 A 2;
			TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_ReFire("Hold1");
			goto RaiseWrench;
		Backstab:
			TNT1 A 0;
			TNT1 A 0 A_CheckLOF("2", CLOFF_SETTARGET);
			TNT1 A 0 A_JumpIfTargetInLOS("FailBackstab", 200, JLOSF_TARGETLOS);//Will jump to "FailBackstab" if enemy is facing the player.
			WREN TU 3;
			WREN VW 1 A_SetPitch(pitch - 2, SPF_FORCECLAMP|SPF_INTERPOLATE, AAPTR_DEFAULT);
			WREN X 1
			{
				A_PlaySound("WRENHIT", chan_weapon, 0.5, 0, ATTN_NORM, 1);
				A_SetPitch(pitch + 4.25, SPF_FORCECLAMP|SPF_INTERPOLATE, AAPTR_DEFAULT);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -2, 0, 80);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -1, 0, 80);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -1, 0, 80);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 1, 0, 80);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 1, 0, 80);
				A_RailAttack(12, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 2, 0, 80);
				A_ChangeVelocity(2, 0, 0, CVF_RELATIVE);
			}
			WREN WV 2;
			WREN UTZYA 2 A_SetPitch(pitch - 0.85, SPF_FORCECLAMP|SPF_INTERPOLATE, AAPTR_DEFAULT);
			WREN A 1;
			goto Ready;
		Hold1:
			WREN M 2;
			WREN N 2 A_StartSound("swingrnd", 1, CHANF_OVERLAP, 100, ATTN_NORM, 0);
			WREN OP 1;
			WREN Q 1
			{
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -50, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -30, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -20, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -10, 0, 80);
				A_RailAttack(4, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 0, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 10, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 20, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 30, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 50, 0, 80);
				A_ChangeVelocity(2, 0, 0, CVF_RELATIVE);
			}
			WREN RS 1;
			TNT1 A 4;
			TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_ReFire("Hold2");
			goto RaiseWrench;
		Hold2:
			WREN D 1;
			WREN E 1 A_StartSound("swingrnd", 1, CHANF_OVERLAP, 100, ATTN_NORM, 0);
			WREN FGH 1;
			WREN I 1
			{
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -50, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -30, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -20, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", -10, 0, 80);
				A_RailAttack(4, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 0, 0, 80);
				A_RailAttack(3, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 10, 0, 80);
				A_RailAttack(2, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 20, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 30, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 40, 0, 80);
				A_RailAttack(1, 0, 0, "", "", RGF_SILENT|RGF_EXPLICITANGLE, 0, "BulletPuff", 50, 0, 80);
				A_ChangeVelocity(2, 0, 0, CVF_RELATIVE);
			}
			WREN JKL 1;
			TNT1 A 4;
			TNT1 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAA 0 A_ReFire("Hold1");
			goto RaiseWrench;
	}
}