//===========================================================================
//
// Spider boss
//
//===========================================================================
class SpiderMastermindBolts : Actor Replaces SpiderMastermind
{
	Default
	{
		Health 3000;
		Radius 128;
		Height 100;
		Mass 1000;
		Speed 12;
		PainChance 15;
		Monster;
		+BOSS
		+MISSILEMORE
		+FLOORCLIP
		+NORADIUSDMG
		+DONTMORPH
		+BOSSDEATH
		SeeSound "spider/sight";
		AttackSound "spider/attack";
		PainSound "spider/pain";
		DeathSound "spider/death";
		ActiveSound "spider/active";
		Obituary "$OB_SPIDER";
		Tag "$FN_SPIDER";
	}
	States
	{
	Spawn:
		SPID AB 10 A_Look;
		Loop;
	See:
		SPID A 3 A_Metal;
		SPID ABB 3 A_Chase;
		SPID C 3 A_Metal;
		SPID CDD 3 A_Chase;
		SPID E 3 A_Metal;
		SPID EFF 3 A_Chase;
		Loop;
	Missile:
		SPID A 20 BRIGHT A_FaceTarget;
		SPID G 2 BRIGHT
		{
			A_SpawnProjectile("Boolet", 42, 0, frandom(-15, 15), 0, frandom(-15, 15));
			A_StartSound("LNCRFIRE");
		}
		SPID H 2 BRIGHT
		{
			A_SpawnProjectile("Boolet", 42, 0, frandom(-15, 15), 0, frandom(-15, 15));
			A_StartSound("LNCRFIRE");
		}
		SPID H 1 BRIGHT A_SpidRefire;
		Goto Missile+1;
	Pain:
		SPID I 3;
		SPID I 3 A_Pain;
		Goto See;
	Death:
		SPID J 20
		{
			A_Scream();
			ACS_Execute(19, 0);
		}
		SPID K 10 A_NoBlocking;
		SPID LMNOPQR 10
		{
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		A_SpawnItem("bolt",0,5,0,0);
		}
		SPID S 30;
		SPID S -1 A_BossDeath;
		Stop;
	}
}